ControlPointCollection Class

class NXOpen.Routing.ControlPointCollection

Bases: object

Represents a collection of NXOpen.Routing.ControlPoint objects.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Routing.ControlPoint is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
CreateControlPoint Creates a dumb NXOpen.Routing.ControlPoint object.
FindControlPoint Finds an existing NXOpen.Routing.ControlPoint at the given ABS coordinates within the given tolerance.

Enumerations

ControlPointCollectionCheckExisting Enumeration Option for searching for an existing NXOpen.Routing.ControlPoint when attempting to create an new NXOpen.Routing.ControlPoint.
ControlPointCollectionFoundExisting Enumeration Whether NXOpen.Routing.ControlPoint returned from the creator methods was an existing NXOpen.Routing.ControlPoint or a new NXOpen.Routing.ControlPoint.

Method Detail

CreateControlPoint

ControlPointCollection.CreateControlPoint

Overloaded method CreateControlPoint

  • CreateControlPoint(position, checkExisting)
  • CreateControlPoint(port, checkExisting)
  • CreateControlPoint(object, objectParm, checkExisting)
  • CreateControlPoint(point, checkExisting)
  • CreateControlPoint(conic, checkExisting)
  • CreateControlPoint(startObject, offset, checkExisting)
  • CreateControlPoint(cpOcc, checkExisting)

-------------------------------------

Creates a dumb NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is not associative to any other object.

Signature CreateControlPoint(position, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a smart NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is associative to the input NXOpen.Routing.Port.

Signature CreateControlPoint(port, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX5.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a NXOpen.Routing.ControlPoint at the given object and normalized parameter. Supports curves [includes segments], ports and circular edges.

Signature CreateControlPoint(object, objectParm, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX5.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a smart NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is associative to the input NXOpen.Point.

Signature CreateControlPoint(point, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a smart NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is associative to a NXOpen.Point that is defined at the center of a NXOpen.IBaseCurve object.

Signature CreateControlPoint(conic, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a dumb NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is not associative to any other object. The position of the object is located at the XC, YC, ZC offset (using the work coordinate system) from the input NXOpen.Routing.IRoutePosition object.

Signature CreateControlPoint(startObject, offset, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

Creates a smart NXOpen.Routing.ControlPoint object. The NXOpen.Routing.ControlPoint’s position is smart point that is associative to a NXOpen.Point that is associative to a NXOpen.Routing.ControlPoint occurrence.

Signature CreateControlPoint(cpOcc, checkExisting)

Parameters:
Returns:

a tuple

Return type:

A tuple consisting of (controlpoint, foundExisting). controlpoint is a NXOpen.Routing.ControlPoint. foundExisting is a NXOpen.Routing.ControlPointCollectionFoundExisting. Returned NXOpen.Routing.ControlPoint is an existing control point.

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

-------------------------------------

FindControlPoint

ControlPointCollection.FindControlPoint

Finds an existing NXOpen.Routing.ControlPoint at the given ABS coordinates within the given tolerance.

Signature FindControlPoint(position, tolerance)

Parameters:
Returns:

Return type:

NXOpen.Routing.ControlPoint

New in version NX4.0.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)